| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::application_role_connection_metadata Class Reference

Application Role Connection Metadata. Represents a role connection metadata for an dpp::application. More...

`#include <role.h>`

Inheritance diagram for dpp::application_role_connection_metadata:
[legend]
Collaboration diagram for dpp::application_role_connection_metadata:
[legend]

## Public Member Functions

| application_role_connection_metadata ()
| Constructor.
virtual | ~application_role_connection_metadata ()=default
std::string | build_json (bool with_id=false) const
| Convert object to json string.
application_role_connection_metadata & | fill_from_json (nlohmann::json *j)
| Convert object from nlohmann::json.
auto | to_json (bool with_id=false) const
| Convert object to nlohmann::json.

## Public Attributes

std::string | description
| Description of the metadata field (1-200 characters).
std::map< std::string, std::string > | description_localizations
| Translations of the description.
std::string | key
| Dictionary key for the metadata field (must be a-z, 0-9, or _ characters; 1-50 characters).
std::string | name
| Name of the metadata field (1-100 characters).
std::map< std::string, std::string > | name_localizations
| Translations of the name.
application_role_connection_metadata_type | type
| Type of metadata value.

## Protected Member Functions

application_role_connection_metadata & | fill_from_json_impl (nlohmann::json *j)
virtual json | to_json_impl (bool with_id=false) const
| Convert to JSON.

## Friends

struct | json_interface< application_role_connection_metadata >

## Detailed Description

Application Role Connection Metadata. Represents a role connection metadata for an dpp::application.

## Constructor & Destructor Documentation

## ◆ application_role_connection_metadata()

dpp::application_role_connection_metadata::application_role_connection_metadata | ( |  | ) |

Constructor.

## ◆ ~application_role_connection_metadata()

virtual dpp::application_role_connection_metadata::~application_role_connection_metadata | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ build_json()

std::string dpp::json_interface< application_role_connection_metadata >::build_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to json string.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  std::string Json built from the structure

## ◆ fill_from_json()

application_role_connection_metadata & dpp::json_interface< application_role_connection_metadata >::fill_from_json | ( | nlohmann::json * | j | ) |

inline inherited

Convert object from nlohmann::json.

Parameters

  j | nlohmann::json object

Returns
  T& Reference to self for fluent calling

## ◆ fill_from_json_impl()

application_role_connection_metadata & dpp::application_role_connection_metadata::fill_from_json_impl | ( | nlohmann::json * | j | ) |

protected

Fill this record from json.

Parameters

  j | The json to fill this record from

Returns
  Reference to self

## ◆ to_json()

auto dpp::json_interface< application_role_connection_metadata >::to_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to nlohmann::json.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  json Json built from the structure

## ◆ to_json_impl()

virtual json dpp::application_role_connection_metadata::to_json_impl | ( | bool | with_id = false | ) | const

protected virtual

Convert to JSON.

Parameters

  with_id | include ID in output

Returns
  json JSON output

## Friends And Related Symbol Documentation

## ◆ json_interface< application_role_connection_metadata >

friend struct json_interface< application_role_connection_metadata >

friend

## Member Data Documentation

## ◆ description

std::string dpp::application_role_connection_metadata::description

Description of the metadata field (1-200 characters).

## ◆ description_localizations

std::map<std::string, std::string> dpp::application_role_connection_metadata::description_localizations

Translations of the description.

## ◆ key

std::string dpp::application_role_connection_metadata::key

Dictionary key for the metadata field (must be a-z, 0-9, or _ characters; 1-50 characters).

## ◆ name

std::string dpp::application_role_connection_metadata::name

Name of the metadata field (1-100 characters).

## ◆ name_localizations

std::map<std::string, std::string> dpp::application_role_connection_metadata::name_localizations

Translations of the name.

## ◆ type

application_role_connection_metadata_type dpp::application_role_connection_metadata::type

Type of metadata value.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0